﻿namespace Long.Core.Query;

/// <summary>
/// 查询参数
/// </summary>
public class QueryParamenter
{
    /// <summary>
    /// 字段列表
    /// </summary>
    public string[]? Fields { get; set; }

    /// <summary>
    /// 页码
    /// </summary>
    public int? Page { get; set; }

    /// <summary>
    /// 每页记录数
    /// </summary>
    public int? PageSize { get; set; }

    /// <summary>
    /// 查询唯一不同的值
    /// </summary>
    public bool Distinct { get; set; }

    /// <summary>
    /// 查询条件
    /// </summary>
    public string? Where { get; set; }

    /// <summary>
    /// 排序
    /// </summary>
    public string? OrderBy { get; set; }

    /// <summary>
    /// 分组
    /// </summary>
    public string? GroupBy { get; set; }
}
