﻿namespace Long.Core.Settings;

/// <summary>
/// 数据库配置类
/// </summary>
public class DbSetting
{
    /// <summary>
    /// 数据库类型
    /// </summary>
    public string DbType { get; set; } = string.Empty;

    /// <summary>
    /// 数据库关键字
    /// </summary>
    public string DbKey { get; set; } = string.Empty;

    /// <summary>
    /// 数据库连接字符串
    /// </summary>
    public string ConnectionString { get; set; } = string.Empty;
}
