﻿namespace Long.Common.Enums
{
    /// <summary>
    /// 兑现订单状态枚举
    /// </summary>
    public enum ExchangeCaseOrderStatusEnums: int
    {
        /// <summary>
        /// 未付款
        /// </summary>
        Unpaid = 1,

        /// <summary>
        /// 已付款
        /// </summary>
        Paid = 2,

        /// <summary>
        /// 付款失败
        /// </summary>
        Failed = 3
    }
}
