﻿namespace Long.Common
{
    /// <summary>
    /// 认证服务范围
    /// </summary>
    public class IdsScope
    {
        /// <summary>
        /// 访客 Api
        /// </summary>
        public static string GuestApi = "GuestApi";

        /// <summary>
        /// 用户 Api
        /// </summary>
        public static string UserApi = "UserApi";

        /// <summary>
        /// 管理员 Api
        /// </summary>
        public static string AdminApi = "AdminApi";

        public static string WebScope = "WebScope";

        /// <summary>
        /// 用户内码
        /// </summary>
        public static string ID = "ID";

        /// <summary>
        /// 姓名
        /// </summary>
        public static string Name = "Name";
        
        /// <summary>
        /// 登录名
        /// </summary>
        public static string LoginName = "LoginName";
    }
}
