﻿using Long.Common.Basedata;
using Long.Dapper;

namespace Long.DAO.Basedata
{
    /// <summary>
    /// 系统用户-数据库
    /// </summary>
    public interface ISystemUserDatabase : IDatabase<SystemUser>
    {
        /// <summary>
        /// 通过登录名获取一条系统用户数据
        /// </summary>
        /// <param name="userName">登录名</param>
        /// <returns>系统用户</returns>
        Task<SystemUser> GetByUserNameAsync(string userName);
    }
}
