﻿using Long.Common.Basedata;
using Long.Core.Query;

namespace Long.Service.AdminService.Basedata
{
    public interface IUserService
    {
        /// <summary>
        /// 获取全部系统用户
        /// </summary>
        /// <returns></returns>
        IEnumerable<User> Get();

        /// <summary>
        /// 通过条件获取列表
        /// </summary>
        /// <param name="queryParamenter"></param>
        /// <returns></returns>
        IEnumerable<User> Get(QueryParamenter queryParamenter);

        /// <summary>
        /// 通过 Id 获取系统用户实体
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        User GetById(long id);
    }
}
