﻿using Long.Common.System;
using Long.DAO.System;

namespace Long.Service.UserService.System
{
    /// <summary>
    /// 系统参数·服务
    /// </summary>
    public class SystemParameterService: ISystemParameterService
    {
        private readonly ISystemParameterDatabase _systemParameterDatabase = new SystemParameterDatabase();

        /// <summary>
        /// 获取一条数据
        /// </summary>
        /// <returns></returns>
        public async Task<SystemParameter> GetFirstAsync()
        {
            string sql = "SELECT * FROM SystemParameter";
            return await _systemParameterDatabase.GetFirstAsync(sql);
        }
    }
}
