﻿namespace Long.Common.Enums
{
    /// <summary>
    /// 用户资产类型
    /// </summary>
    public enum UserAssetEnums: int
    {
        /// <summary>
        /// 人民币
        /// </summary>
        CNY = 1,

        /// <summary>
        /// 铁币
        /// </summary>
        IronCoin = 2,

        /// <summary>
        /// 铜币
        /// </summary>
        CopperCoin = 4,

        /// <summary>
        /// 银币
        /// </summary>
        SilverCoin = 8,

        /// <summary>
        /// 金币
        /// </summary>
        GoldCoin = 16,

        /// <summary>
        /// 砖石
        /// </summary>
        Diamonds = 32,

        /// <summary>
        /// 光晶
        /// </summary>
        LightCrystal = 64,

        /// <summary>
        /// 光晶币
        /// </summary>
        LightCrystalCoin = 128,

        /// <summary>
        /// 积分
        /// </summary>
        RewardPoints = 256,

        /// <summary>
        /// 累计体现
        /// </summary>
        TotalExchangeCNY = 512,
    }
}
